Package org.eclipse.birt.core.script

# Interface IScriptEngineFactory

public interface IScriptEngineFactory

## Method Summary

Modifier and Type
Method
Description
`IScriptEngine`
`createScriptEngine()`
Returns an instance of IScriptEngine associated with this factory.
`String`
`getScriptLanguage()`

## Method Details

### getScriptLanguage

String getScriptLanguage()

### createScriptEngine

IScriptEngine createScriptEngine() throws BirtException
Returns an instance of IScriptEngine associated with this factory.

Throws:
  `BirtException`